Cantera 2.6.0

Namespaces
Kinetics.cpp File Reference

Declarations for the base class for kinetics managers (see Kinetics Managers and class Kinetics ). More...

`#include "cantera/kinetics/Kinetics.h"`
`#include "cantera/kinetics/KineticsFactory.h"`
`#include "cantera/kinetics/Reaction.h"`
`#include "cantera/thermo/ThermoPhase.h"`
`#include "cantera/base/stringUtils.h"`
`#include "cantera/base/utilities.h"`
`#include "cantera/base/global.h"`
`#include <unordered_set>`
`#include <boost/algorithm/string/join.hpp>`
Include dependency graph for Kinetics.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Detailed Description

Declarations for the base class for kinetics managers (see Kinetics Managers and class Kinetics ).

Kinetics managers calculate rates of progress of species due to homogeneous or heterogeneous kinetics.

Definition in file Kinetics.cpp.